Skip to main content
GET
/
stores
/
{storeId}
/
orders
/
{orderId}
Get Order
curl --request GET \
  --url https://api.getredo.com/v2.2/stores/{storeId}/orders/{orderId} \
  --header 'Authorization: Bearer <token>'
{
  "orderId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "lineItems": [
    {
      "id": "<string>",
      "productId": "<string>",
      "title": "<string>",
      "quantity": 500,
      "variantId": "<string>",
      "sku": "<string>",
      "price": 1,
      "imageUrl": "<string>",
      "totalDiscount": 1
    }
  ],
  "fulfillments": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "lineItems": [
        {
          "id": "<string>",
          "quantity": 500,
          "title": "<string>",
          "productId": "<string>",
          "variantId": "<string>",
          "sku": "<string>"
        }
      ],
      "status": "pre_transit",
      "trackingHistory": [
        {
          "message": "<string>",
          "status": "<string>",
          "datetime": "2023-11-07T05:31:56Z",
          "location": {
            "city": "<string>",
            "state": "<string>",
            "country": "<string>",
            "postalCode": "<string>"
          }
        }
      ],
      "trackingCompany": "<string>",
      "trackingNumber": "<string>"
    }
  ],
  "customer": {
    "id": "<string>",
    "email": "<string>",
    "phoneNumber": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "shipping": {
    "method": "<string>",
    "cost": 1,
    "address": {
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "<string>",
      "postalCode": "<string>"
    }
  },
  "totalPrice": 1,
  "subtotalPrice": 1,
  "totalTax": 1,
  "tags": [
    "<string>"
  ],
  "currencyCode": "<string>",
  "locationId": "loc_4d8e1a2b3c"
}

Documentation Index

Fetch the complete documentation index at: https://developers.redo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

orderId
string
required

Order ID. Can be either the external order ID provided when creating the order, or the internal Redo order ID.

Response

Success

Response for getting an order, including fulfillments.

orderId
string
required

Unique identifier for the order.

createdAt
string<date-time>
required

ISO 8601 date string for when the order was created.

lineItems
object[]
required

List of line items in the order.

Minimum array length: 1
fulfillments
object[]
required

List of fulfillments for this order.

customer
object

Customer information.

shipping
object

Shipping information.

totalPrice
number | null

Total order price including tax and shipping.

Required range: x >= 0
subtotalPrice
number | null

Subtotal price excluding tax and shipping.

Required range: x >= 0
totalTax
number | null

Total tax amount.

Required range: x >= 0
tags
string[] | null

Optional tags associated with the order.

currencyCode
string | null

Currency code from the ISO 4217 standard (e.g., USD, EUR, GBP).

locationId
string | null

Optional. Pin this order to a specific fulfillment location. Must be a location id (loc_...) returned by GET /inventory-levels โ€” either one of your own warehouses or a location at a linked 3PL fulfillment service. When provided, the fulfillment group's origin address is sourced from the location row. Omit to use your team's default origin address.

Example:

"loc_4d8e1a2b3c"